#include "servo3.h"

// 03 舵机控制 对应参数 st1 st2
// 控制参数：roll

// 映射关系 ： 角度
// 映射关系 ： 对应

// 线性拟合函数 y= kx+b    :
// 拟合函数计算出的y值取整，即为角度位置参数

extern void transfer(int a);
extern int st1;
extern int st2;

extern int low;
extern int high;

void Contorl_three_Init(float x)
{
	int state = 0;
	int angle = 0;

	state = x * 10;
	state = state / 10;
	if (state > 0 && state < 50)
	{
		angle = 4 * (state);
		angle = angle + 1000;

		angle = angle * 10;
		angle = angle / 10;

		transfer(angle);
		st1 = low;
		st2 = high;
	}
	else if (state >= 50 && state <= 80)
	{
		angle = -13.22 * (state - 20);
		angle = angle + 1400;

		angle = angle * 10;
		angle = angle / 10;

		transfer(angle);
		st1 = low;
		st2 = high;
	}
	else if (state >= -60 && state <= -25)
	{
		angle = -5.71 * (state + 25);
		angle = angle + 1000;
		angle = angle * 10;
		angle = angle / 10;

		transfer(angle);
		st1 = low;
		st2 = high;
	}
	else
	{
	}
}
