#include "servo4.h"

// 04 舵机控制 对应参数 st5 st6
// 控制参数：roll

// 映射关系 ： 角度
// 映射关系 ： 对应

// 线性拟合函数 y= kx+b    :
// 拟合函数计算出的y值取整，即为角度位置参数

extern void transfer(int a);
extern int st5;
extern int st6;

extern int low;
extern int high;

void Contorl_four_Init(float x)
{
	int state = 0;
	int angle = 0;

	state = x * 10;
	state = state / 10;

	if (state >= -80 && state <= 0)
	{
		angle = -5 * (state);
		angle = angle + 600;
		angle = angle * 10;
		angle = angle / 10;

		transfer(angle);
		st5 = low;
		st6 = high;
	}
	else if (state >= 50 && state <= 80)
	{
		angle = -13.33 * (state - 50);
		angle = angle + 950;
		angle = angle * 10;
		angle = angle / 10;

		transfer(angle);
		st5 = low;
		st6 = high;
	}
	else if (state > 0 && state < 50)
	{
		angle = 8.66 * (state);
		angle = angle + 600;
		angle = angle * 10;
		angle = angle / 10;

		transfer(angle);
		st5 = low;
		st6 = high;
	}
	else
	{
	}
}
