#include "servo5.h"

// 05 舵机控制 对应参数 st11 st12
// 控制参数：roll

// 映射关系 ： 角度
// 映射关系 ： 对应

// 线性拟合函数 y= kx+b    :
// 拟合函数计算出的y值取整，即为角度位置参数

extern void transfer(int a);
extern int st11;
extern int st12;

extern int low;
extern int high;

void Contorl_five_Init(float x)
{
	int state = 0;
	int angle = 0;

	state = x * 10;
	state = state / 10;

	if (state >= 0 && state <= 50)
	{

		angle = 10.91 * state;
		angle = angle + 1200;
		angle = angle * 10;
		angle = angle / 10;

		transfer(angle);
		st11 = low;
		st12 = high;
	}
	else if (state > 50 && state <= 65)
	{

		angle = 4.44 * (state - 50);
		angle = angle + 1800;
		angle = angle * 10;
		angle = angle / 10;

		transfer(angle);
		st11 = low;
		st12 = high;
	}

	else if (state > 65 && state <= 80)
	{

		angle = -4.44 * (state - 50);
		angle = angle + 1800;
		angle = angle * 10;
		angle = angle / 10;

		transfer(angle);
		st11 = low;
		st12 = high;
	}

	else if (state >= -50 && state < 0)
	{

		angle = 3 * state;
		angle = angle + 1200;
		angle = angle * 10;
		angle = angle / 10;

		transfer(angle);
		st11 = low;
		st12 = high;
	}
	else
	{
	}
}
