#include "TaskMange.h"

int st1 = 0; // 03
int st2 = 0;

int st3 = 0; // 06
int st4 = 0;

int st5 = 0; // 04
int st6 = 0;

int st7 = 0; // 01
int st8 = 0;

int st9 = 0; // 02
int st10 = 0;

int st11 = 0; // 05
int st12 = 0;

int low = 0;  // 十六进制低八位
int high = 0; // 十六进制高八位
char ByteSend[25] = {0};
extern float Pitch, Roll, Yaw;
// 串口1发送1个字符
static void usart1_send_char(u8 ch)
{
	while (USART_GetFlagStatus(USART1, USART_FLAG_TC) == RESET) // 循环发送，直到发送完成
		;
	USART_SendData(USART1, ch);
}

static void Contorl_date(void) // 串口发送控制数据
{
	int i = 0;
	char ByteSend[25] = {0};

	ByteSend[0] = 0x55;
	ByteSend[1] = 0x55;
	ByteSend[2] = 0x23; // 数据长度=3*控制舵机个数+5  23
	ByteSend[3] = 0x03; // 指令名  控制多个舵机运动
	ByteSend[4] = 0x06; // 要控制的舵机个数
	ByteSend[5] = 0xC8; // 时间低八位
	ByteSend[6] = 0x00; // 时间高八位

	ByteSend[7] = 0x03; // 三号舵机
	ByteSend[8] = st1;	// 位置低八位
	ByteSend[9] = st2;	// 位置高八位

	ByteSend[10] = 0x06; // 六号舵机
	ByteSend[11] = st3;
	ByteSend[12] = st4;

	ByteSend[13] = 0x04; // 四号舵机
	ByteSend[14] = st5;
	ByteSend[15] = st6;

	ByteSend[16] = 0x01; // 一号舵机
	ByteSend[17] = st7;
	ByteSend[18] = st8;

	ByteSend[19] = 0x02; // 二号舵机
	ByteSend[20] = st9;
	ByteSend[21] = st10;

	ByteSend[22] = 0x05; // 五号舵机
	ByteSend[23] = st11;
	ByteSend[24] = st12;

	for (i = 0; i < 25; i++)
	{
		usart1_send_char(ByteSend[i]);
	}
}

void Get_MPU6050_Value(void *pvParameters)
{
	while (1)
	{
		mpu_dmp_get_data(&Pitch, &Roll, &Yaw);

		OLED_ShowSignedNum(65, 25, Pitch, 3, OLED_6X8);
		OLED_ShowSignedNum(65, 40, Roll, 3, OLED_6X8);
		OLED_ShowSignedNum(65, 56, Yaw, 3, OLED_6X8);
		OLED_Update();
	}
}

void Send_MPU6050_Value(void *pvParameters)
{
	Yaw = 0;
	while (1)
	{
		Contorl_one_Init(Pitch);   // 一号舵机状态拟合
		Contorl_two_Init(Roll);	   // 二号舵机状态拟合
		Contorl_three_Init(Pitch); // 三号舵机状态拟合
		Contorl_four_Init(Pitch);  // 四号舵机状态拟合
		Contorl_five_Init(Pitch);  // 五号舵机状态拟合
		Contorl_six_Init(Yaw);	   // 六号舵机状态拟合

		Contorl_date();
	}
}
extern uint16_t xValue, yValue;

void Get_PS2_Value(void *pvParameters)
{
	while(1)
	{
	xValue = Get_ADC_Value(0, 1); // 获取x轴AD值
	yValue = Get_ADC_Value(1, 1); // 获取y轴AD值

	// printf("xValue = %d\n",xValue);
	// printf("yValue = %d\n",yValue);		
	}

}
